SoTempPath Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoTempPath Class Reference
Miscellaneous Classes

The SoTempPath class is used to store temporary paths.The path simply turns off auditing in the constructor, and leaves the user with the responsibility of keeping the path valid. More...

`#include <Inventor/misc/SoTempPath.h>`

Inheritance diagram for SoTempPath:

## Public Member Functions
| SoTempPath (const int approxlength)
void | simpleAppend (SoNode *const node, const int index)
void | replaceTail (SoNode *const node, const int index)
Public Member Functions inherited from SoFullPath
void | pop (void)
SoNode * | getTail (void) const
SoNode * | getNodeFromTail (const int index) const
int | getIndexFromTail (const int index) const
int | getLength (void) const
Public Member Functions inherited from SoPath
| SoPath (const int approxlength=4)
| SoPath (SoNode *const head)
| SoPath (const SoPath &rhs)
SoPath & | operator= (const SoPath &rhs)
virtual SoType | getTypeId (void) const
void | setHead (SoNode *const head)
SoNode * | getHead (void) const
void | append (const int childindex)
void | append (SoNode *const node)
void | append (const SoPath *const frompath)
void | push (const int childindex)
void | pop (void)
SoNode * | getTail (void) const
SoNode * | getNode (const int index) const
SoNode * | getNodeFromTail (const int index) const
int | getIndex (const int index) const
int | getIndexFromTail (const int index) const
int | getLength (void) const
void | truncate (const int length)
int | findFork (const SoPath *const path) const
int | findNode (const SoNode *const node) const
SbBool | containsNode (const SoNode *const node) const
SbBool | containsPath (const SoPath *const path) const
SoPath * | copy (const int startfromnodeindex=0, int numnodes=0) const
void | insertIndex (SoNode *const parent, const int newindex)
void | removeIndex (SoNode *const parent, const int oldindex)
void | replaceIndex (SoNode *const parent, const int index, SoNode *const newchild)
SbBool | isRelevantNotification (SoNotList *const l) const
virtual void | write (SoWriteAction *action)
Public Member Functions inherited from SoBase
void | ref (void) const
void | unref (void) const
void | unrefNoDelete (void) const
int32_t | getRefCount (void) const
void | touch (void)
SbBool | isOfType (SoType type) const
virtual SbName | getName (void) const
virtual void | setName (const SbName &newname)
virtual void | startNotify (void)
virtual void | notify (SoNotList *l)
void | addAuditor (void *const auditor, const SoNotRec::Type type)
void | removeAuditor (void *const auditor, const SoNotRec::Type type)
const SoAuditorList & | getAuditors (void) const
virtual void | addWriteReference (SoOutput *out, SbBool isfromfield=FALSE)
SbBool | shouldWrite (void)
void | assertAlive (void) const

## Additional Inherited Members
Static Public Member Functions inherited from SoPath
static void | initClass (void)
static SoType | getClassTypeId (void)
static SoPath * | getByName (const SbName name)
static int | getByName (const SbName name, SoPathList &l)
Static Public Member Functions inherited from SoBase
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | addName (SoBase *const base, const char *const name)
static void | removeName (SoBase *const base, const char *const name)
static void | incrementCurrentWriteCounter (void)
static void | decrementCurrentWriteCounter (void)
static SoBase * | getNamedBase (const SbName &name, SoType type)
static int | getNamedBases (const SbName &name, SoBaseList &baselist, SoType type)
static SbBool | read (SoInput *input, SoBase *&base, SoType expectedtype)
static void | setInstancePrefix (const SbString &c)
static void | setTraceRefs (SbBool trace)
static SbBool | getTraceRefs (void)
static SbBool | connectRoute (SoInput *input, const SbName &fromnodename, const SbName &fromfieldname, const SbName &tonodename, const SbName &tofieldname)
static SbBool | readRoute (SoInput *input)
Protected Types inherited from SoBase
enum | BaseFlags { IS_ENGINE = 0x01, IS_GROUP = 0x02 }
Protected Member Functions inherited from SoPath
virtual | ~SoPath ()
void | auditPath (const SbBool flag)
Protected Member Functions inherited from SoBase
| SoBase (void)
virtual | ~SoBase ()
virtual void | destroy (void)
SbBool | hasMultipleWriteRefs (void) const
SbBool | writeHeader (SoOutput *out, SbBool isgroup, SbBool isengine) const
void | writeFooter (SoOutput *out) const
virtual const char * | getFileFormatName (void) const
Static Protected Member Functions inherited from SoBase
static uint32_t | getCurrentWriteCounter (void)
static void | staticDataLock (void)
static void | staticDataUnlock (void)

## Detailed Description

The SoTempPath class is used to store temporary paths.

The path simply turns off auditing in the constructor, and leaves the user with the responsibility of keeping the path valid.

## Constructor & Destructor Documentation

SoTempPath::SoTempPath | ( | const int | approxlength | ) |

Constructor.

## Member Function Documentation

void SoTempPath::simpleAppend | ( | SoNode *const | node,
|  | const int | index
| ) |  |

Append a node (specified by node and parent child index) to the path. This method is only available in SoTempPath, since it will not consider auditing or hidden children.

void SoTempPath::replaceTail | ( | SoNode *const | node,
|  | const int | index
| ) |  |

Replace the tail of this path. The node is specified by node and parent child index. This method is only available in SoTempPath,, since it will not consider auditing or hidden children.

The documentation for this class was generated from the following files:

- SoTempPath.h
- SoTempPath.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.